%define name cgwd
%define version 0.69
%define release %mkrel 1


%define lib_name_orig %mklibname %{name}
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

Name: %name
Version: %version
Release: %release
Summary: Window decorator for compiz-quinnstorm
Group: System/X11
URL: http://compiz.net
Source: %{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: compiz-quinnstorm-devel
BuildRequires: png-devel
BuildRequires: X11-devel
Requires: compiz-quinnstorm

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Custom generic window decorator for compiz-quinnstorm
from compiz.net

%package -n %lib_name
Summary: Headers files for %{name}
Group: System/X11
Requires: %{name} = %{version}
Provides: %lib_name = %version

%description -n %lib_name
Headers files for %{name}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%package -n %lib_name-devel
Summary:Development files from %{name}
Group: Development/Other
Requires: %lib_name = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel

%description -n %lib_name-devel
Headers files for %{name}

%post -n %lib_name-devel -p /sbin/ldconfig


%prep
%setup -q

./autogen.sh -V

%configure2_5x \
                --x-includes=%{_includedir}\
                --x-libraries=%{_libdir} \
                --disable-mime-update 

%make


%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%_bindir/cgwd
%_bindir/gcompizthemer
%_datadir/applications/gcompizthemer.desktop
%_mandir/man1/gcompizthemer.1.bz2
%_datadir/mime-info/cgwd.mime
%_datadir/mime/packages/cgwd.xml
%_datadir/pixmaps/gcompizthemer-icon.png
%_datadir/icons/hicolor/48x48/mimetypes/application-x-cgwdtheme.png


%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/pkgconfig/cgwdengine.pc
%_includedir/cgwd/cgwd.h
%_includedir/cgwd/engine.h
%_includedir/cgwd/libengine.h
%_includedir/cgwd/titlebar.h
%_libdir/libcgwdengine.so
%_libdir/libcgwdengine.la
%_libdir/libcgwdengine.a
%_libdir/cgwd/engines/libpixmap.la
%_libdir/cgwd/engines/libpixmap.a
%_libdir/cgwd/engines/liboxygen.la
%_libdir/cgwd/engines/liboxygen.a
%_libdir/cgwd/engines/liblegacy.la
%_libdir/cgwd/engines/liblegacy.a
%_libdir/cgwd/engines/libtruglass.la
%_libdir/cgwd/engines/libtruglass.a
%_libdir/cgwd/engines/libvrunner.la
%_libdir/cgwd/engines/libvrunner.a
%_libdir/cgwd/engines/libzootreeves.la
%_libdir/cgwd/engines/libzootreeves.a

%files -n %lib_name
%defattr(-,root,root)
%_libdir/libcgwdengine.so.0
%_libdir/libcgwdengine.so.0.0.0
%_libdir/cgwd/engines/libpixmap.so
%_libdir/cgwd/engines/liboxygen.so
%_libdir/cgwd/engines/liblegacy.so
%_libdir/cgwd/engines/libtruglass.so
%_libdir/cgwd/engines/libvrunner.so
%_libdir/cgwd/engines/libzootreeves.so





%changelog
* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-18 00:12:34 (61818)
- Latest version

* Sun Sep 17 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-17 13:42:21 (61781)
- Fix BuildRequires (to fix x86_64 build)

* Sat Sep 16 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-16 14:54:26 (61736)
- Fix buildrequires

* Sat Sep 16 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-16 14:43:46 (61735)
- Correct release

* Sat Sep 16 2006 Colin Guthrie <cguthrie@mandriva org>
+ 2006-09-16 14:06:37 (61728)
- Fix lib package to include individial engine libraries (#24619)

* Thu Aug 24 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-24 16:05:35 (57867)
- Add buildrequires

* Thu Aug 24 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-24 13:34:06 (57834)
- Add buildrequires

* Thu Aug 24 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-24 12:55:37 (57822)
- Increanse release
- Fix group

* Sat Aug 19 2006 plouf
+ 2006-08-19 00:58:24 (56849)
- fix schemas error

* Fri Aug 18 2006 plouf
+ 2006-08-18 12:45:35 (56736)
- add forgotten files

* Fri Aug 18 2006 plouf
+ 2006-08-18 12:38:14 (56735)
-use snapshot and mime database macros

* Thu Aug 17 2006 plouf
+ 2006-08-17 12:54:09 (56573)
-split package

* Wed Aug 16 2006 plouf
+ 2006-08-16 21:26:01 (56475)
- Import cgwd



* Sun Aug 13 2006 plouf
-First Mandriva Linux release
